Bug 246285 - SSL Cert Creation Step doesn't accept common characters for password
SSL Cert Creation Step doesn't accept common characters for password
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Pazdziora
Preethi Thomas
:
Depends On:
Blocks: 248627 317791
  Show dependency treegraph
 
Reported: 2007-06-29 16:00 EDT by Máirín Duffy
Modified: 2008-04-02 20:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 20:24:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2007-06-29 16:00:46 EDT
Description of problem:
<cdoerbec_> we ran install.pl (had issues with NIS, so disabled that too, not
big deal)
<cdoerbec_> answered the questions
<cdoerbec_> then server cert generation failed when password had a $

The error output in the log was:

ERROR: web servers's SSL certificate/signing failed, did you mistype your password

$ is common enough character that it should be allowed in the SSL cert password,
right? Can we loosen up the allowed characters for this?
Comment 3 Jan Pazdziora 2007-11-08 10:02:21 EST
The problem did not seem to be with us not accepting the password characters
deliberately, rather not passing them correctly.

With the changes in the way we call external program and pass parameters to
them, done under bug 253602, dollar sign does not pose a problem now.

As such, moving ON_QA.
Comment 4 Jan Pazdziora 2007-11-19 07:59:48 EST
The release note might go like:

The bug which prevented dollar sign ($) to be used in SSL certificate password
was fixed.
Comment 5 John Ha 2007-11-26 18:46:19 EST
Thanks, Jan. Will go into release notes for 5.1.0. as follows:

 A bug was fixed that prevented dollar signs ($) from being used in SSL
 certificate passwords.
Comment 6 Preethi Thomas 2007-12-10 09:56:43 EST
verified in build 28 
Comment 7 Preethi Thomas 2008-03-24 09:28:19 EDT
release pending
Comment 8 Brandon Perkins 2008-04-02 20:24:54 EDT
5.1 Sat GA so Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.